import { Loader } from "../loader";
export declare type transformFunction = (t: any) => string;
export declare abstract class StringLoader extends Loader {
    protected data: string[];
    private transform?;
    constructor(transform?: transformFunction);
    loadData(): Promise<void>;
    getData(): string[];
    mapTransform(datas: any[]): string[];
}
