import { Message, StageChannel, VoiceChannel } from "discord.js";
export declare enum VoiceValidateResult {
    OK = 0,
    NO_CHANNEL = 1,
    STAGE_CHANNEL = 2
}
export declare class VoiceControl {
    private handleDisconnect;
    private player;
    private guildID;
    private channelName;
    private voiceChannelID;
    isSameChannel(channel?: VoiceChannel | StageChannel | null): boolean;
    static validateUser(msg: Message): VoiceValidateResult;
    constructor(msg: Message, handleDisconnect: () => void);
    destruct(): void;
    waitTillReady(): Promise<boolean>;
    private speakQueue;
    speak(content: string): Promise<void>;
    playSong(url: string): Promise<void>;
}
