import { StringLoader } from "./stringLoader";
export class MultiLoader extends StringLoader {
    constructor(loaders) {
        super();
        this.loaders = loaders;
    }
    getData() {
        let data = [];
        for (const loaderOption of this.loaders)
            data = data.concat(loaderOption.loader.getData());
        return data;
    }
}
