export function trim(str) {
    return str.replace(/^\s+/, "").toLowerCase();
}
export function checkPrefix(main, prefixes) {
    for (const prefix of prefixes)
        if (main.startsWith(prefix))
            return true;
    return false;
}
export function shorten(str, limit) {
    if (str.length < limit)
        return str;
    return str.slice(0, limit) + "...";
}
